package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesCycle;
import com.ym.mec.common.dal.BaseDAO;

public interface VipGroupDefaultClassesCycleDao extends BaseDAO<Integer, VipGroupDefaultClassesCycle> {


    VipGroupDefaultClassesCycle checkMaxClassTimes(@Param("maxClassTimes") Integer maxClassTimes,@Param("tenantId") Integer tenantId);

    int batchInstert(List<VipGroupDefaultClassesCycle> vipGroupDefaultClassesCycles);

    int deleteAll(Integer tenantId);

    int countAll(Integer tenantId);

    List<VipGroupDefaultClassesCycle> findAllCycle(Integer tenantId);

    /**
     * @describe 根据乐团获取指定课次课排课范围
     * @author Joburgess
     * @date 2019/10/29
     * @param classTimes: 课次
     * @return com.ym.mec.biz.dal.entity.VipGroupDefaultClassesCycle
     */
    VipGroupDefaultClassesCycle findByOrganAndClassTimes(@Param("classTimes") Integer classTimes,@Param("tenantId") Integer tenantId);

}
